entre Desarrolladores

Recibe ayuda de expertos

Registrate y pregunta

Es gratis y fácil

Recibe respuestas

Respuestas, votos y comentarios

Vota y selecciona respuestas

Recibe puntos, vota y da la solución

Pregunta

0voto

como Instalar xampp en windows server 2008?

Que version de xampp es la mejor opcion para Windows server 2008 R2?

Lo que busco es conectar a oracle

Tengo instalada la ultima version de xampp

ya he probado pero cuando inicio el xampp me muestra este error
"the procedure entry point ocistmtrelease could not be located in the dynamic link library"

seguido de uno en el que dice que no puede cargar la libreria php_oci8_11g.dll

0voto

Peter comentado

¿Y ya lo intentaste? ¿Te dió algún problema? ¿No te sirve ninguno de los cientos de sitios que google te da con esa información?

¿Cual es el problema que tienes exactamente?

Saludos.

0voto

Chaias comentado

Si, me muestra este error "the procedure entry point ocistmtrelease could not be located in the dynamic link library"

Gracias por responder

0voto

Peter comentado

Te lo muestra antes de instalar, a media instalación, después de instalar, cuando ejecutas un archivo PHP, o...

Por favor edita tu pregunta y agrega toda la información correspondiente, de que ya intentaste, como lo hiciste, que problema te da y en que momento, etc...

Sin información nadie te va a poder ayudar.

En google vienen cientos de sitios con información y tutoriales de como instalar XAMPP en Windows server 2008. ¿Ya probaste con eso?

Saludos.

0voto

Chaias comentado

El error me lo muestra despues de la instalacion justo cuando intento iniciar el apache, pero me lo muestra cuando el archivo php.ini tiene descomentariada la linea php_oci8-11g.dll

3 Respuestas

1voto

jsstoni Puntos940

es obvio el error esta en la libreria o dll que no se encuentra instalada por lo cual da el error.

1voto

bultack Puntos1390

Porque no pruebas a instalar Virtual Box y Vagrant? De esta forma podrías instalar un servidor Ubuntu y montar el servidor con PHP y MySQL. Una de las ventajas que tienes es que puedes elegir qué versión de PHP utilizar, al igual que el gestor de base de datos. XAMPP y WAMP te limitan a tener que utilizar determinadas versiones.

2votos

wroque Puntos4630

hey porque xampp?, solo espero que no sea el servidor productivo, porque eso sería un grave error, si quieres hacer una instalación seria. Utiliza un servicio http, como puede ser IIS con fast cgi, y luego instalas el php normal, es algo super sencillo.

revisa:
http://php.net/manual/es/oci8.requirements.php

por lo visto no es un error del xampp, sino que te hace falta bibliotecas de oracle para realizar la conexión.

Slds.

Por favor, accede o regístrate para responder a esta pregunta.

Otras Preguntas y Respuestas


Actividad Reciente

...

Bienvenido a entre Desarrolladores, donde puedes realizar preguntas y recibir respuestas de otros miembros de la comunidad.

Conecta